com.virtual.tour.road.com.virtual.tour.road.model

## Class MySQLiteHelper

- java.lang.Object
- - android.database.sqlite.SQLiteOpenHelper
  - - com.virtual.tour.road.com.virtual.tour.road.model.MySQLiteHelper

-     public class MySQLiteHelper
      extends android.database.sqlite.SQLiteOpenHelper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String[]` | `COLUMNS`
    `private static java.lang.String[]` | `COLUMNS_CANCION`
    `private static java.lang.String[]` | `COLUMNS_RUTA`
    `private static java.lang.String` | `DATABASE_NAME`
    `private static int` | `DATABASE_VERSION`
    `private static java.lang.String` | `KEY_ARTIST_CANCION`
    `private static java.lang.String` | `KEY_ID`
    `private static java.lang.String` | `KEY_ID_CANCION`
    `private static java.lang.String` | `KEY_ID_RUTA`
    `private static java.lang.String` | `KEY_LATITUD_CANCION`
    `private static java.lang.String` | `KEY_LONGITUD_CANCION`
    `private static java.lang.String` | `KEY_MAIL`
    `private static java.lang.String` | `KEY_MAIL_CANCION`
    `private static java.lang.String` | `KEY_MAIL_USUARIO`
    `private static java.lang.String` | `KEY_NOMBRE_RUTA`
    `private static java.lang.String` | `KEY_PUNTO_FINAL_LAT`
    `private static java.lang.String` | `KEY_PUNTO_FINAL_LON`
    `private static java.lang.String` | `KEY_PUNTO_INICIO_LAT`
    `private static java.lang.String` | `KEY_PUNTO_INICIO_LON`
    `private static java.lang.String` | `KEY_TITLE_CANCION`
    `private static java.lang.String` | `KEY_TUTORIAL`
    `private static java.lang.String` | `TABLE_CANCION`
    `private static java.lang.String` | `TABLE_RUTA`
    `private static java.lang.String` | `TABLE_USERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MySQLiteHelper(android.content.Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCancion(Song song)` Funcion para insertar una cancion en BBDD
    `void` | `addRuta(Ruta ruta)` Metodo para insertar una ruta en BBDD
    `void` | `addUser(Usuario usuario)` Funcion para insertar usuario en BBDD
    `void` | `deleteRuta(Ruta ruta)` Metodo para eliminar una ruta
    `void` | `deleteUser(Usuario usuario)` Metodo para eliminar un usuario
    `java.util.List<Ruta>` | `getAllRutas()` Metodo para obtener todas las rutas de BBDD
    `java.util.List<Song>` | `getAllSongs()` Metodo para obtener todas las canciones de bbdd
    `java.util.List<Usuario>` | `getAllUsers()` Metodo para obtener todos los usuarios
    `Ruta` | `getRuta(int id)` Metodo para obtener ruta de BBDD
    `Usuario` | `getUser(java.lang.String mail)` Metodo para obtener usuario de BBDD
    `void` | `onCreate(android.database.sqlite.SQLiteDatabase db)` Creacion de las tablas
    `void` | `onUpgrade(android.database.sqlite.SQLiteDatabase db, int oldVersion, int newVersion)` Actualizacion de la base de datos.
    `int` | `updateUser(Usuario usuario)` Metodo para actualizar un usuario

    - ### Methods inherited from class android.database.sqlite.SQLiteOpenHelper

      `close, getDatabaseName, getReadableDatabase, getWritableDatabase, onConfigure, onDowngrade, onOpen, setWriteAheadLoggingEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLUMNS

          private static final java.lang.String[] COLUMNS

    - #### COLUMNS_CANCION

          private static final java.lang.String[] COLUMNS_CANCION

    - #### COLUMNS_RUTA

          private static final java.lang.String[] COLUMNS_RUTA

    - #### DATABASE_NAME

          private static final java.lang.String DATABASE_NAME

      See Also:
        Constant Field Values

    - #### DATABASE_VERSION

          private static final int DATABASE_VERSION

      See Also:
        Constant Field Values

    - #### KEY_ARTIST_CANCION

          private static final java.lang.String KEY_ARTIST_CANCION

      See Also:
        Constant Field Values

    - #### KEY_ID

          private static final java.lang.String KEY_ID

      See Also:
        Constant Field Values

    - #### KEY_ID_CANCION

          private static final java.lang.String KEY_ID_CANCION

      See Also:
        Constant Field Values

    - #### KEY_ID_RUTA

          private static final java.lang.String KEY_ID_RUTA

      See Also:
        Constant Field Values

    - #### KEY_LATITUD_CANCION

          private static final java.lang.String KEY_LATITUD_CANCION

      See Also:
        Constant Field Values

    - #### KEY_LONGITUD_CANCION

          private static final java.lang.String KEY_LONGITUD_CANCION

      See Also:
        Constant Field Values

    - #### KEY_MAIL

          private static final java.lang.String KEY_MAIL

      See Also:
        Constant Field Values

    - #### KEY_MAIL_CANCION

          private static final java.lang.String KEY_MAIL_CANCION

      See Also:
        Constant Field Values

    - #### KEY_MAIL_USUARIO

          private static final java.lang.String KEY_MAIL_USUARIO

      See Also:
        Constant Field Values

    - #### KEY_NOMBRE_RUTA

          private static final java.lang.String KEY_NOMBRE_RUTA

      See Also:
        Constant Field Values

    - #### KEY_PUNTO_FINAL_LAT

          private static final java.lang.String KEY_PUNTO_FINAL_LAT

      See Also:
        Constant Field Values

    - #### KEY_PUNTO_FINAL_LON

          private static final java.lang.String KEY_PUNTO_FINAL_LON

      See Also:
        Constant Field Values

    - #### KEY_PUNTO_INICIO_LAT

          private static final java.lang.String KEY_PUNTO_INICIO_LAT

      See Also:
        Constant Field Values

    - #### KEY_PUNTO_INICIO_LON

          private static final java.lang.String KEY_PUNTO_INICIO_LON

      See Also:
        Constant Field Values

    - #### KEY_TITLE_CANCION

          private static final java.lang.String KEY_TITLE_CANCION

      See Also:
        Constant Field Values

    - #### KEY_TUTORIAL

          private static final java.lang.String KEY_TUTORIAL

      See Also:
        Constant Field Values

    - #### TABLE_CANCION

          private static final java.lang.String TABLE_CANCION

      See Also:
        Constant Field Values

    - #### TABLE_RUTA

          private static final java.lang.String TABLE_RUTA

      See Also:
        Constant Field Values

    - #### TABLE_USERS

          private static final java.lang.String TABLE_USERS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MySQLiteHelper

          public MySQLiteHelper(android.content.Context context)

  - ### Method Detail

    - #### addCancion

          public void addCancion(Song song)

      Funcion para insertar una cancion en BBDD
      Parameters:
        `song` - cancion a insertar

    - #### addRuta

          public void addRuta(Ruta ruta)

      Metodo para insertar una ruta en BBDD
      Parameters:
        `ruta` - ruta a insertar

    - #### addUser

          public void addUser(Usuario usuario)

      Funcion para insertar usuario en BBDD
      Parameters:
        `usuario` - usuario a insertar

    - #### deleteRuta

          public void deleteRuta(Ruta ruta)

      Metodo para eliminar una ruta
      Parameters:
        `ruta` - que queremos eliminar

    - #### deleteUser

          public void deleteUser(Usuario usuario)

      Metodo para eliminar un usuario
      Parameters:
        `usuario` - que queremos eliminar

    - #### getAllRutas

          public java.util.List<Ruta> getAllRutas()

      Metodo para obtener todas las rutas de BBDD
      Returns:
        listado con todas las rutas de bbdd

    - #### getAllSongs

          public java.util.List<Song> getAllSongs()

      Metodo para obtener todas las canciones de bbdd
      Returns:
        listado con todas las canciones de bbdd

    - #### getAllUsers

          public java.util.List<Usuario> getAllUsers()

      Metodo para obtener todos los usuarios
      Returns:
        listado con todos los usuarios

    - #### getRuta

          public Ruta getRuta(int id)

      Metodo para obtener ruta de BBDD
      Parameters:
        `id` - identificador de la ruta que queremos obtener
      Returns:
        ruta de base de datos si existe

    - #### getUser

          public Usuario getUser(java.lang.String mail)

      Metodo para obtener usuario de BBDD
      Parameters:
        `mail` - del usuario que queremos obtener
      Returns:
        usuario si existe

    - #### onCreate

          public void onCreate(android.database.sqlite.SQLiteDatabase db)

      Creacion de las tablas
      Specified by:
        `onCreate` in class `android.database.sqlite.SQLiteOpenHelper`
      Parameters:
        `db` - dataBase

    - #### onUpgrade

          public void onUpgrade(android.database.sqlite.SQLiteDatabase db,
                                int oldVersion,
                                int newVersion)

      Actualizacion de la base de datos. Se actualiza cuando se modifica la version.
      Specified by:
        `onUpgrade` in class `android.database.sqlite.SQLiteOpenHelper`
      Parameters:
        `db` - SQLiteDatabase
        `oldVersion` - version antigua de la bbdd
        `newVersion` - nueva version de la bbdd

    - #### updateUser

          public int updateUser(Usuario usuario)

      Metodo para actualizar un usuario
      Parameters:
        `usuario` - que queremos actualizar
      Returns:
        numero de actualizaciones